headless lms

Read one of your chats

GET /api/member/chats/{chatId}. Read one of your chats. Headless LMS Chats API reference.

GET
/api/member/chats/{chatId}

Any active member of the organization. For a participant of the chat. The chat as it appears in your chat list.

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/chats/string"
{  "chat": {    "orgId": "string",    "id": "string",    "communityId": "string",    "kind": "direct",    "status": "pending",    "createdBy": "string",    "lockedAt": "2019-08-24T14:15:22Z",    "lockedBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "participantIds": [    "string"  ],  "participants": [    {      "id": "string",      "firstName": "string",      "lastName": "string",      "displayName": "string",      "headline": "string",      "image": "string",      "imageAssetId": "string",      "imageUrl": "string",      "team": true,      "roleName": "string"    }  ],  "lastReadMessageId": "string",  "subscription": {    "state": "following",    "mutedUntil": "2019-08-24T14:15:22Z"  },  "unread": -9007199254740991,  "lastMessage": {    "id": "string",    "orgUserId": "string",    "body": "string",    "createdAt": "2019-08-24T14:15:22Z",    "deletedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}